Bug 665189 - Review Request: perl-Convert-Color - Color space conversions and named lookups
Summary: Review Request: perl-Convert-Color - Color space conversions and named lookups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 665190
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-23 02:44 UTC by Ralf Corsepius
Modified: 2011-02-02 19:36 UTC (History)
2 users (show)

Fixed In Version: perl-Convert-Color-0.07-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-02 19:28:22 UTC
mmaslano: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-23 02:44:49 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Convert-Color.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Convert-Color-0.07-1.fc15.src.rpm

Description: 
This module provides conversions between commonly used ways to express
colors. It provides conversions between color spaces such as RGB and HSV,
and it provides ways to look up colors by a name.

Comment 1 Marcela Mašláňová 2011-01-07 13:09:46 UTC
- rpmlint OK
W: spelling-error Summary(en_US) lookups -> lockups, hookups, look ups
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build ?
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides perl-Convert-Color-0.07-1.fc14.noarch.rpm 
perl-Convert-Color = 0.07-1.fc14
rpm -qp --requires perl-Convert-Color-0.07-1.fc14.noarch.rpm 
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

I suggest adding into provides perl(Convert::Color).

Comment 2 Marcela Mašláňová 2011-01-10 09:31:29 UTC
ACCEPT

Comment 3 Ralf Corsepius 2011-01-17 04:26:57 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-Convert-Color
Short Description: Color space conversions and named lookups
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 4 Jens Petersen 2011-01-18 07:20:55 UTC
Git done (by process-git-requests).

Comment 5 Ralf Corsepius 2011-01-18 12:02:31 UTC
Package built for f15 - f13 and f14 are stuck waiting for Fedora QA's wait queue to release other packages they depend upon.

Comment 6 Fedora Update System 2011-01-23 05:42:19 UTC
perl-Convert-Color-0.07-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Convert-Color-0.07-1.fc14

Comment 7 Fedora Update System 2011-01-23 05:42:26 UTC
perl-Convert-Color-0.07-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Convert-Color-0.07-1.fc13

Comment 8 Fedora Update System 2011-01-23 20:23:53 UTC
perl-Convert-Color-0.07-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Convert-Color'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Convert-Color-0.07-1.fc14

Comment 9 Fedora Update System 2011-01-24 18:09:14 UTC
perl-Convert-Color-0.07-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Convert-Color-0.07-2.fc14

Comment 10 Fedora Update System 2011-01-24 18:09:20 UTC
perl-Convert-Color-0.07-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Convert-Color-0.07-2.fc13

Comment 11 Fedora Update System 2011-02-02 19:28:18 UTC
perl-Convert-Color-0.07-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-02-02 19:36:45 UTC
perl-Convert-Color-0.07-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.